ur_rna.Utilities.swing

## Class FormValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - ur_rna.Utilities.swing.FormValidationException

- All Implemented Interfaces:
    java.io.Serializable

      public class FormValidationException
      extends java.lang.Exception

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javax.swing.JComponent` | `control`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormValidationException()`
    `FormValidationException(java.lang.String message)`
    `FormValidationException(java.lang.String message, javax.swing.JComponent control)`
    `FormValidationException(java.lang.String message, javax.swing.JComponent control, java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.JComponent` | `getControl()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### control

          private javax.swing.JComponent control

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FormValidationException

          public FormValidationException()

    - #### FormValidationException

          public FormValidationException(java.lang.String message)

    - #### FormValidationException

          public FormValidationException(java.lang.String message,
                                         javax.swing.JComponent control)

    - #### FormValidationException

          public FormValidationException(java.lang.String message,
                                         javax.swing.JComponent control,
                                         java.lang.Throwable cause)

  - ### Method Detail

    - #### getControl

          public javax.swing.JComponent getControl()